Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1048260 - Review Request: qt5-qtlocation - Qt5 Location component
Summary: Review Request: qt5-qtlocation - Qt5 Location component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-01-03 14:24 UTC by Rex Dieter
Modified: 2016-08-14 16:28 UTC (History)
3 users (show)

Fixed In Version: qt5-qtlocation-5.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-17 05:47:16 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-01-03 14:24:25 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtlocation.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtlocation-5.2.0-1.fc20.src.rpm
Description:
The Qt Positioning API gives developers the ability to determine a position
by using a variety of possible sources, including satellite, or wifi, or
 text file, and so on. That information can then be used to for example
determine a position on a map. In addition satellite information can be
retrieved and area based monitoring can be performed.
Fedora Account System Username: rdieter

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6353069

Comment 1 Lubomir Rintel 2014-01-03 14:54:14 UTC
0.) Rpmlint complains; I believe both are trivial:

qt5-qtlocation.i686: E: description-line-too-long C The Qt Sensors API provides access to sensor hardware via QML and C++ interfaces.
Your description lines must not exceed 80 characters. If a line is exceeding
this number, cut it to fit in two lines.

qt5-qtlocation-doc.noarch: E: zero-length /usr/share/doc/qt5/qtpositioning/demos-manifest.xml

* Package is named correctly
* Packaging the latest version
* Good license, full text present
* License tag correct
* Rpmlint mostly happy (see above)
* Proper compiler flags used
* Builds fine in mock
* Requires file
* Provides fine
* Filelist fine
* SPEC file clean and legible, fairly standard Qt5 package

APPROVED

Comment 2 Rex Dieter 2014-01-04 15:07:44 UTC
New Package SCM Request
=======================
Package Name: qt5-qtlocation
Short Description: Qt5 - Location component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: el6 f19 f20
InitialCC:

Comment 3 Gwyn Ciesla 2014-01-06 14:14:20 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-01-08 19:12:49 UTC
qt5-qtlocation-5.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtlocation-5.2.0-1.el6

Comment 5 Fedora Update System 2014-01-08 19:13:23 UTC
qt5-qtlocation-5.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtlocation-5.2.0-1.fc20

Comment 6 Fedora Update System 2014-01-08 19:14:18 UTC
qt5-qtlocation-5.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtlocation-5.2.0-1.fc19

Comment 7 Fedora Update System 2014-01-09 04:38:00 UTC
qt5-qtlocation-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2014-01-17 05:47:16 UTC
qt5-qtlocation-5.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-01-17 05:48:22 UTC
qt5-qtlocation-5.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-01-23 20:14:40 UTC
qt5-qtlocation-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.